CoCoALib - Feature #300

Add fault tolerant rational reconstruction to library
08 Feb 2013 18:04 - John Abbott

Status: Closed Start date: 08 Feb 2013
Priority: Normal Due date:

Assignee: John Abbott % Done: 100%
Category: New Function Estimated time: 0.00 hour
Target version: CoCoALib-0.9953 Spent time: 27.50 hours
Description

Implement the various fault tolerant rational reconstruction algms, and incorporate them into CoCoALib.

Experimental versions already exist.

Related issues:

Related to CoCoALib - Feature #689: Fault tolerant rational reconstruction: m... Closed 23 Apr 2015
Related to CoCoALib - Feature #690: Fault tolerant rational reconstruction: i... New 23 Apr 2015
History

#1 - 11 Feb 2013 15:24 - John Abbott

The hardest parts will be fixing the Ul and choosing the name(s) of the fn(s).

| should also put in my impl of the Singular group's method.

#2 - 15 Feb 2013 18:58 - John Abbott

- Status changed from New to In Progress
- Target version set to CoCoALib-0.9953
- % Done changed from 0 to 50

Added impls of RatReconstructByContFrac and RatReconstructByLattice; also added doc, and an example (ex-NumTheory2).
Still to do:

e correct handling of SafetyFactor ctor parameter

¢ allow user to choose either convincingness criterion in RatReconstructByContFrac?
e interface to CoCoA-5 (plus doc, of course)

e add impl of FTRR (insist that moduli are prime?)

#3 - 22 Feb 2013 20:03 - John Abbott
- % Done changed from 50 to 70

Added new fns to CoCoA-5 RatReconstructByContFrac and RatReconstructByLattice; added doc.
Modified ctors: they now accept a user specified threshold (0 means to use default).
Currently do not allow user to choose the convincingness criterion -- unlikely to be very useful, and could be simply confusing.

20130225 FTRR now implemented as RatReconstructWithBounds in CoCoALib and CoCoA-5, with documentation!
#4 - 26 Feb 2013 17:27 - John Abbott

- Status changed from In Progress to Feedback

- % Done changed from 70 to 90

Should | really add a test for RatReconstructWithBounds?
#5 - 03 Jun 2013 17:31 - John Abbott

- Status changed from Feedback to Closed
- % Done changed from 90 to 100

The code was effectively tested while updating the article. So I'm regarding it as OK. Closing!

10 Apr 2024 22


http://www.tcpdf.org

